summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorAdriĆ  Arrufat2019-03-12 22:29:42 +0900
committerAdriĆ  Arrufat2019-03-12 22:29:42 +0900
commit4c4fe2339482ac605aa0917a10e3ac442064a325 (patch)
tree7b12006e659549ce118c4b62d5d1a7cb0781fdde /PKGBUILD
parent54fa1bfed02541310bc012b758d0eb6b858ca86e (diff)
downloadaur-gnome-builder-git.tar.gz
sync with extra
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD27
1 files changed, 19 insertions, 8 deletions
diff --git a/PKGBUILD b/PKGBUILD
index ff0b7768324..6cb8acc7dbb 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@
_pkgname=gnome-builder
pkgname=gnome-builder-git
-pkgver=3.29.2+40+gd16771663
+pkgver=3.31.92+42+g78dfa2435
pkgrel=1
pkgdesc='An IDE for writing GNOME-based software'
arch=(i686 x86_64)
@@ -12,15 +12,15 @@ url='https://wiki.gnome.org/Apps/Builder'
license=(GPL3)
conflicts=(gnome-builder)
provides=(gnome-builder)
-depends=(gtksourceview3 devhelp libgit2-glib gjs python-gobject clang desktop-file-utils
+depends=(gtksourceview4 devhelp libgit2-glib gjs python-gobject clang desktop-file-utils
ctags libpeas vte3 vala python-jedi autoconf-archive sysprof flatpak gspell libdazzle-git
- template-glib jsonrpc-glib-git python-sphinx)
+ template-glib jsonrpc-glib python-sphinx webkit2gtk glade sysprof2-git)
makedepends=(intltool llvm gobject-introspection gtk-doc yelp-tools appstream-glib vala git
mm-common meson)
optdepends=('gnome-code-assistance: Legacy assistance services'
- 'meson: Meson support')
-install=gnome-builder.install
-source=('git+git://git.gnome.org/gnome-builder')
+ 'python-lxml: documentation support for Python auto-completion')
+groups=(gnome-extra)
+source=("git+https://gitlab.gnome.org/GNOME/gnome-builder.git")
sha256sums=('SKIP')
pkgver() {
@@ -29,12 +29,23 @@ pkgver() {
}
build() {
- arch-meson ${_pkgname} build
+ arch-meson $_pkgname build \
+ --buildtype debugoptimized \
+ -D with_docs=true \
+ -D with_help=true \
+ -D with_editorconfig=true \
+ -D with_webkit=true \
+ -D with_vapi=true
ninja -C build
}
+check() {
+ # some tests need an installed gnome-builder
+ xvfb-run meson test -C build || :
+}
+
package() {
- DESTDIR="${pkgdir}" ninja -C build install
+ DESTDIR="$pkgdir" meson install -C build
}
# vim:set ts=2 sw=2 et: